#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-6O1tnvYI4Rk4H8PAjBWcM2-dns-internal
key:                  dns-4.0.1-6O1tnvYI4Rk4H8PAjBWcM2-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  8235f3b0b18daa2bb50900ebc35ce539
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-6O1tnvYI4Rk4H8PAjBWcM2-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-9kX48PHnvdD9PjixjHg39U
    attoparsec-0.14.1-EcyJzfZhZzx4rFmzSXlwR7
    auto-update-0.1.6-LCXLKxA7lvlDDQpRh2Zmo8 base-4.15.0.0
    base16-bytestring-1.0.1.0-2afh9UEVyJi56OJehbA0Qt
    base64-bytestring-1.2.1.0-3y8bVgj4ClGFIgxpge9J2V
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-Ael7JaBLzwtAWHfQYnAVOO
    hourglass-0.2.12-5YAyuDOy9kbJTu5lEsuqgS
    iproute-1.7.11-32W9vQEpbcqDHWnWXFNTbs mtl-2.2.2
    network-3.1.2.2-6tZsGK4OV907qcZzBxrezj
    psqueues-0.2.7.2-5k2In6Sk09HCrK7ONwdne5

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-KjIqerWTKJgHkXQuY7bnWm
key:                  dns-4.0.1-KjIqerWTKJgHkXQuY7bnWm
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  5548452cd81d7c3f88d3327d9c7684ef
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-KjIqerWTKJgHkXQuY7bnWm
depends:
    array-0.5.4.0 async-2.2.3-9kX48PHnvdD9PjixjHg39U
    attoparsec-0.14.1-EcyJzfZhZzx4rFmzSXlwR7
    auto-update-0.1.6-LCXLKxA7lvlDDQpRh2Zmo8 base-4.15.0.0
    base16-bytestring-1.0.1.0-2afh9UEVyJi56OJehbA0Qt
    base64-bytestring-1.2.1.0-3y8bVgj4ClGFIgxpge9J2V
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-Ael7JaBLzwtAWHfQYnAVOO
    dns-4.0.1-6O1tnvYI4Rk4H8PAjBWcM2-dns-internal
    hourglass-0.2.12-5YAyuDOy9kbJTu5lEsuqgS
    iproute-1.7.11-32W9vQEpbcqDHWnWXFNTbs mtl-2.2.2
    network-3.1.2.2-6tZsGK4OV907qcZzBxrezj
    psqueues-0.2.7.2-5k2In6Sk09HCrK7ONwdne5

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

